#ifndef _COLORBUTTON_H_
#define _COLORBUTTON_H_

#include <Bitmap.h>
#include <Control.h>
#include <View.h>
#include <Application.h>
#include <iostream>
#include <Screen.h>
#include <String.h>
#include "ColorWindow.h"
#include "Constants.h"

class ColorButton : public BControl
{
	public:
		ColorButton(BRect frame,BMessage* msg,rgb_color c,BString l);
		virtual void AttachedToWindow();
		virtual void Draw(BRect r);
		virtual void MouseDown(BPoint point);
		virtual void MouseUp(BPoint point);
		virtual void MouseMoved(BPoint point,uint32 transit,const BMessage* msg);
		virtual void MessageReceived(BMessage* msg);
		virtual status_t Invoke(BMessage* message = NULL);
		void Render();
		rgb_color Value();
		void SetValue(rgb_color c);
	private:
		BBitmap* bitmap;
		BView* bView;
		ColorWindow* cw;
		rgb_color color;
		
		BString label;
		int IsDown;
		bool IsOver;
		bool OkToInvoke;
};
#endif





