#ifndef _DIMENSION_WINDOW_H_
#define _DIMENSION_WINDOW_H_

#include <Window.h>
#include <View.h>
#include <Button.h>
#include <iostream>
#include <Messenger.h>
#include <StringView.h>
#include <ScrollView.h>
#include <Font.h>

#include <TypeConstants.h>
#include "Constants.h"
#include <TextControl.h>
#include <cctype>
#include <string>
#include <String.h>
#include "Prefs.h"

class DimensionWindow : public BWindow
{
	public:
		DimensionWindow(BRect r,BMessenger* messenger,Prefs* p,uint32 return_msg);
		~DimensionWindow();
		virtual void MessageReceived(BMessage* msg);
		void Quit();
	private:
		Prefs* prefs;
		BView* parent_view;
		BBox* box;
		uint32 ret_msg; 
		BMessenger* msgr;
		BTextControl* rowsTC;
		BTextControl* colsTC;
		
		BButton* fOk;
		BButton* fCancel;	//default btn
		BView* parent;
		
};


#endif

