#ifndef _MISZA_BITMAPS_H_
#define _MISZA_BITMAPS_H_

/*
About this file:

This file contains lots of different bitmaps for use in
both Misza's Library and your own applications.

Special:

A complete bitmap set for standard operations such as new,open,save,cut,paste.
Bitmaps are in both 32x32(large) and 16x16(small).

-Idea: some could even be animated with mouse over! :-)
*/

/**Standard Operations Bitmaps**/

/*File*/

//New Large - new_large[3072]
#include "misza_bitmaps/large_new_icon.h"	
//New Small - new_small[1024]
#include "misza_bitmaps/new_small.h"
//Open Large

//Open Small

//Save Large

//Save Small

//Close Large

//Close Small

//PageSetup Large

//PageSetup Small

//Print Large

//Print Small

//Quit Large

//Quit Small

/*Edit*/

//Undo Large

//Undo Small

//Redo Large

//Redo Small

//Cut Large

//Cut Small

//Copy Large

//Copy Small

//Paste Large

//Paste Small

//Find Large

//Find Small

/*Dialog*/

//OK Large

//OK Small

//Cancel Large

//Cancel Small



#endif //_MISZA_BITMAPS_H_


