#ifndef _MISZA_STATUS_VIEW_H_
#define _MISZA_STATUS_VIEW_H_

#include "misza_view.h"
#include "misza_colours.h"
#include <String.h>
#include <Window.h>
/* 

About this class:

This class is a simple subclassed zView, 
that is intended to be used as a bar at the bottom of a window
to display text (status).

*/

class zStatusView : public zView
{
	public:
		zStatusView(BRect r);
		void SetText(const char* text);
		void Render();
		virtual void Draw(BRect drawRect);
	private:
		BString theText;
		
	
};
#endif //_MISZA_STATUS_VIEW_H_


