#ifndef _COLOR_VIEW_H_
#define _COLOR_VIEW_H_

#include <View.h>
#include <Bitmap.h>
/* 

About this class:

This class is a simple subclassed BView, 
that uses a view to draw into a Bitmap, so it's drawing is rendered flicker-free.

*/
class colorView : public BView
{
	public:
		colorView(BRect frame);//,const char* name,uint32 resizeMask,uint32 flags);
		~colorView();
		void SetColor(rgb_color c);
//		virtual void AttachedToWindow();
//		virtual void MessageReceived(BMessage* msg);
//		virtual void MouseDown(BPoint point);
//		virtual void MouseUp(BPoint point);
//		virtual void MouseMoved(BPoint point,uint32 transit,const BMessage* msg);
		virtual void Draw(BRect drawRect);
		void Render();

	protected:
		BBitmap* bitmap;
		BView* bView;
		
		rgb_color color;
};

#endif //_MISZA_VIEW_H_


