#ifndef _TBUTTON_H_
#define _TBUTTON_H_

#include <Bitmap.h>
#include <Control.h>
#include <View.h>
#include <Mime.h>
#include <AppFileInfo.h>
#include <Application.h>
#include <iostream>
#include <File.h>
#include <String.h>
#include <vector>

class TButton : public BControl
{
	public:
		TButton(BRect frame,BMessage* msg,BBitmap* Icon);
		TButton(BRect frame,BMessage* msg,vector<BBitmap*> Icons,vector<BPoint> Origins);
		virtual void AttachedToWindow();
		virtual void Draw(BRect r);
		virtual void MouseDown(BPoint point);
		virtual void MouseUp(BPoint point);
		virtual void MouseMoved(BPoint point,uint32 transit,const BMessage* msg);
		void TintBitmap(const float tint);
		void Render();
	private:
		BBitmap* icon;
		
		int IsDown;
		bool IsOver;
		bool OkToInvoke;
		bool IsMultipleIcon;
		vector<BBitmap*> icons;
		vector<BPoint> origins;
		
};
#endif
		