#ifndef _MISZA_COLOURS_H_
#define _MISZA_COLOURS_H_

#include <GraphicsDefs.h>	//needed for rgb_color

/*About this file:

This file contains lots of different colours for use in
both Misza's Library and your own applications.

Special:

A beautiful set of colours hand chosen to represent a spectrum.
*/

/*BeOS Colours*/
const rgb_color zBeBlueBackground = {51,102,152,255};
const rgb_color zBeBlueStatusBar  = {51,152,255,255};
const rgb_color zBeBlueFocus      = {0,0,229,255};
const rgb_color zBeYellowTab      = {255,203,0,255};
const rgb_color zBeGreyPanel      = {216,216,216,255};

/*Normal*/
const rgb_color zBlack  = {0,0,0,255};
const rgb_color zWhite  = {255,255,255,255};
const rgb_color zRed    = {255,0,0,255};
const rgb_color zOrange = {255,128,0,255};
const rgb_color zYellow = {255,255,0,255};
const rgb_color zGreen  = {0,255,0,255};
const rgb_color zBlue   = {0,0,255,255};

/*Custom Colours*/

//Spectrum
const rgb_color zSpectrumRed    = {235,0,0,255};
const rgb_color zSpectrumOrange = {235,122,0,255};
const rgb_color zSpectrumYellow = {244,241,0,255};
const rgb_color zSpectrumGreen  = {50,212,0,255};
const rgb_color zSpectrumBlue   = {0,126,255,255};
const rgb_color zSpectrumIndigo = {25,0,60,255};
const rgb_color zSpectrumPurple = {105,0,84,255};

//Metal
const rgb_color zGold   = {234,209,0,255};
const rgb_color zSilver = {226,226,226,255};
const rgb_color zCopper = {213,100,0,255};
const rgb_color zOrichalchum = {255,174,0};


#endif //_MISZA_COLOURS_H_



